# Set root category priority to ALL and set its first appender to STDOUT and second to FILE
log4j.rootCategory=ALL, STDOUT, FILE
# STDOUT is set to be a ConsoleAppender (writes to system console).
log4j.appender.STDOUT=org.apache.log4j.ConsoleAppender
# STDOUT uses PatternLayout.
log4j.appender.STDOUT.layout=org.apache.log4j.PatternLayout
log4j.appender.STDOUT.layout.ConversionPattern=%p [%d{DATE}] %c (%F:%L) - %m%n
# FILE is set to be a RollingFileAppender (writes to a log file)
log4j.appender.FILE=org.apache.log4j.RollingFileAppender
# FILE log location is set to the Tomcat logs directory
log4j.appender.FILE.File=/usr/local/tomcat/logs/portal.log
log4j.appender.FILE.MaxFileSize=1000KB
# Keep one backup file
log4j.appender.FILE.MaxBackupIndex=1
log4j.appender.FILE.layout=org.apache.log4j.PatternLayout
log4j.appender.FILE.layout.ConversionPattern=%p [%d{DATE}] %c (%F:%L) - %m%n
# Force logging down for Apache, Spring, Hibernate and JSF
log4j.category.javax.faces=WARN
log4j.category.org.ajax4jsf=WARN
log4j.category.org.apache=WARN
log4j.category.org.hibernate=WARN
log4j.category.org.springframework=WARN